uniform vec4 blendcolorTop;
uniform vec4 blendcolorBottom;

uniform sampler2D s_tex0; 

varying vec2 v_texcoord;

void main()
{
	gl_FragColor = gl_Color * texture2D(s_tex0, v_texcoord) * mix(blendcolorTop, blendcolorBottom, 1.-v_texcoord.y);
}
